﻿Imports System.Web.DynamicData
Imports System.Web.UI
Imports System.Web.UI.WebControls

Namespace CSSAdmin
	Partial Public Class Default_InsertEntityTemplate
		Inherits DynamicData.EntityTemplateUserControl
		Private currentColumn As MetaColumn

		Protected Overrides Sub OnLoad(ByVal e As EventArgs)
			For Each column As MetaColumn In Table.GetScaffoldColumns(Mode, ContainerType)
				currentColumn = column
                Dim item As Control = New DefaultEntityTemplate._NamingContainer()
				EntityTemplate1.ItemTemplate.InstantiateIn(item)
				EntityTemplate1.Controls.Add(item)
			Next column
		End Sub

		Protected Sub Label_Init(ByVal sender As Object, ByVal e As EventArgs)
			Dim label As Label = CType(sender, Label)
			label.Text = currentColumn.DisplayName
		End Sub

		Protected Sub Label_PreRender(ByVal sender As Object, ByVal e As EventArgs)
			Dim label As Label = CType(sender, Label)
			Dim dynamicControl As DynamicControl = CType(label.FindControl("DynamicControl"), DynamicControl)
			Dim ftuc As FieldTemplateUserControl = TryCast(dynamicControl.FieldTemplate, FieldTemplateUserControl)
			If ftuc IsNot Nothing AndAlso ftuc.DataControl IsNot Nothing Then
				label.AssociatedControlID = ftuc.DataControl.GetUniqueIDRelativeTo(label)
			End If
		End Sub

		Protected Sub DynamicControl_Init(ByVal sender As Object, ByVal e As EventArgs)
			Dim dynamicControl As DynamicControl = CType(sender, DynamicControl)
			dynamicControl.DataField = currentColumn.Name
		End Sub

	End Class
End Namespace
