﻿Imports System.Collections.Specialized
Imports System.ComponentModel.DataAnnotations
Imports System.Web.DynamicData
Imports System.Web.UI
Imports System.Web.UI.WebControls

Namespace CSSAdmin
	Partial Public Class EnumerationField
		Inherits DynamicData.FieldTemplateUserControl
		Public Overrides ReadOnly Property DataControl() As Control
			Get
				Return Literal1
			End Get
		End Property

		Public ReadOnly Property EnumFieldValueString() As String
			Get
				If FieldValue Is Nothing Then
					Return FieldValueString
				End If

                Dim enumType = Column.GetEnumType()
				If enumType IsNot Nothing Then
                    Dim enumValue = System.Enum.ToObject(enumType, FieldValue)
					Return FormatFieldValue(enumValue)
				End If

				Return FieldValueString
			End Get
		End Property

	End Class
End Namespace
