﻿Imports System.ComponentModel
Imports System.Globalization
Imports System.Windows.Browser

Namespace CSSCustomerEdit

	''' <summary>
	''' Wraps access to the strongly typed resource classes so that you can bind
	''' control properties to resource strings in XAML
	''' </summary>
	Public NotInheritable Class ResourceWrapper

		Private Shared _applicationStrings As New ApplicationStrings()

		Private Shared _securityQuestions As New SecurityQuestions()

		''' <summary>
		''' Gets the <see cref="ApplicationStrings"/>.
		''' </summary>
		Public ReadOnly Property ApplicationStrings() As ApplicationStrings
			Get
				Return _applicationStrings
			End Get
		End Property

		''' <summary>
		''' Gets the <see cref="SecurityQuestions"/>.
		''' </summary>
		Public ReadOnly Property SecurityQuestions() As SecurityQuestions
			Get
				Return _securityQuestions
			End Get
		End Property
	End Class
End Namespace
