﻿Imports System.Collections.Specialized
Imports System.ComponentModel.DataAnnotations
Imports System.Web.DynamicData
Imports System.Web.UI
Imports System.Web.UI.WebControls

Namespace CSSAdmin
	Partial Public Class ChildrenField
		Inherits DynamicData.FieldTemplateUserControl
		Private _allowNavigation As Boolean = True
		Private _navigateUrl As String

		Public Property NavigateUrl() As String
			Get
				Return _navigateUrl
			End Get
			Set(ByVal value As String)
				_navigateUrl = value
			End Set
		End Property

		Public Property AllowNavigation() As Boolean
			Get
				Return _allowNavigation
			End Get
			Set(ByVal value As Boolean)
				_allowNavigation = value
			End Set
		End Property

		Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs)
			HyperLink1.Text = "View " & ChildrenColumn.ChildTable.DisplayName
		End Sub

		Protected Function GetChildrenPath() As String
			If Not AllowNavigation Then
				Return Nothing
			End If

			If String.IsNullOrEmpty(NavigateUrl) Then
				Return ChildrenPath
			Else
				Return BuildChildrenPath(NavigateUrl)
			End If
		End Function

		Public Overrides ReadOnly Property DataControl() As Control
			Get
				Return HyperLink1
			End Get
		End Property

	End Class
End Namespace
