﻿Imports System.Collections.Specialized
Imports System.ComponentModel.DataAnnotations
Imports System.Web.DynamicData
Imports System.Web.UI
Imports System.Web.UI.WebControls

Namespace CSSAdmin
	Partial Public Class EmailAddressField
		Inherits DynamicData.FieldTemplateUserControl
		Protected Overrides Sub OnDataBinding(ByVal e As EventArgs)
            Dim url = FieldValueString
			If Not url.StartsWith("mailto:", StringComparison.OrdinalIgnoreCase) Then
				url = "mailto:" & url
			End If
			HyperLink1.NavigateUrl = url
		End Sub

		Public Overrides ReadOnly Property DataControl() As Control
			Get
				Return HyperLink1
			End Get
		End Property

	End Class
End Namespace
